[med-svn] [mummer] 02/02: As far as I know the temporary dir used by debci is $ADTTMP
Andreas Tille
tille at debian.org
Sun Jul 24 05:54:41 UTC 2016
This is an automated email from the git hooks/post-receive script.
tille pushed a commit to branch master
in repository mummer.
commit 9632c1f0741fb249f4214e277de647dd64cfb9ae
Author: Andreas Tille <tille at debian.org>
Date: Sun Jul 24 07:50:50 2016 +0200
As far as I know the temporary dir used by debci is $ADTTMP
---
debian/tests/run-unit-test | 11 ++++++-----
1 file changed, 6 insertions(+), 5 deletions(-)
diff --git a/debian/tests/run-unit-test b/debian/tests/run-unit-test
index 2e71dda..602ffda 100644
--- a/debian/tests/run-unit-test
+++ b/debian/tests/run-unit-test
@@ -3,13 +3,14 @@ set -e
pkg="mummer"
-if [ "$AUTOPKGTEST_TMP" = "" ] ; then
- AUTOPKGTEST_TMP=`mktemp -d /tmp/${pkg}-test.XXXXXX`
+if [ "$ADTTMP" = "" ] ; then
+ ADTTMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+ trap "rm -rf $ADTTMP" 0 INT QUIT ABRT PIPE TERM
fi
-cp -a /usr/share/doc/${pkg}/examples/* $AUTOPKGTEST_TMP
+cp -a /usr/share/doc/${pkg}/examples/* $ADTTMP
-cd $AUTOPKGTEST_TMP/
+cd $ADTTMP
find . -name "*.gz" -exec gunzip \{\} \;
mkdir output/ && cd output/
@@ -56,7 +57,7 @@ tail -n +2 ../expected/promer.coords > ../expected/promer.coords
tail -n +2 ../expected/promer.delta > ../expected/promer.delta
-cd $AUTOPKGTEST_TMP/
+cd $ADTTMP
for i in `ls expected/|xargs` ; do
diff expected/$i output/$i
done
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/mummer.git
More information about the debian-med-commit
mailing list